import * as webpack from 'webpack';
import { ProblemType, SerendipityWebpackPluginOption, WebpackError, WebpackStats } from './types';
declare class SerendipityWebpackPlugin {
    private readonly serverPort;
    private readonly serverHost;
    private readonly analysisPort;
    constructor(option: SerendipityWebpackPluginOption);
    static PLUGIN_INFO: {
        name: string;
    };
    clearConsole(): void;
    resolveProblems(stats: WebpackStats, type: ProblemType): WebpackError[];
    showProblems(problems: WebpackError[], type: ProblemType): void;
    onWebpackDone(stats: WebpackStats): void;
    onWebpackInvalid(): void;
    onWebpackSuccess(stats: WebpackStats): void;
    apply(compiler: webpack.Compiler): void;
}
export default SerendipityWebpackPlugin;
