"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getChunkInfo = exports.formatSize = exports.uniqueBy = void 0;
const uniqueBy = (arr, fun) => {
    const appeared = {};
    return arr.filter(el => {
        const element = fun(el);
        if (Object.prototype.hasOwnProperty.call(appeared, element)) {
            return false;
        }
        else {
            appeared[element] = true;
            return true;
        }
    });
};
exports.uniqueBy = uniqueBy;
const formatSize = (size) => {
    const ONE_MB_SIZE_IN_BYTE = 1024 * 1024;
    if (!size) {
        return '--';
    }
    if (size > ONE_MB_SIZE_IN_BYTE) {
        return (size / ONE_MB_SIZE_IN_BYTE).toFixed(2).toString() + ' MB';
    }
    else {
        return (size / 1024).toFixed(2).toString() + ' KB';
    }
};
exports.formatSize = formatSize;
const getChunkInfo = (chunksInfo, showAmount) => {
    chunksInfo = chunksInfo
        .sort((a, b) => {
        return b.size - a.size;
    })
        .slice(0, showAmount || 10);
    return chunksInfo.map(info => {
        return [
            info.files[0],
            exports.formatSize(info.size)
        ];
    });
};
exports.getChunkInfo = getChunkInfo;
//# sourceMappingURL=utils.js.map